/* Created: [GJ] Fri Jan 17 19:20:42 EST 1997
 */
#ifndef CONSTANTS_H
#define CONSTANTS_H
#include <stdio.h>


/* numerical contants */

#define constPi_         3.14159265358979323846264338328
#define constE_          2.71828182845904523536028747135
#define constLn2_        0.69314718055994530941723212146
#define constLn10_       2.30258509299404568401799145468
#define constRoot2_      1.41421356237309504880168872421
#define constRootHalf_   0.70710678118654752440084436210


/* layer to system limit constants */

extern const int  max_int;
extern const int  min_int;
extern const long max_long;
extern const long min_long;
extern const unsigned int  max_uint;
extern const unsigned long max_ulong;
extern const float  max_float;
extern const float  min_float;
extern const double max_double;
extern const double min_double;


/* derived limit constants */

extern const double log_max_double;
extern const double log_min_double;

extern const double dbl_precision;
extern const double sgl_precision;
extern const double log_dbl_precision;
extern const double log_sgl_precision;
extern const double inv_dbl_precision;
extern const double inv_sgl_precision;


/* Dump system constants to stream,
 * in a form for human examination.
 */
void dump_constants(FILE *fd);



#endif /* CONSTANTS_H */
