/*

  1999 (C) Marco Falcioni UCLA

  radius: a key/value pair for Ionic radii


  (C) 1997 Marco Falcioni (falcioni@ucla.edu)

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
  USA.

  http://www.fsf.org/copyleft/gpl.html



*/

#ifndef __radius_h
#define __radius_h

#include <stdio.h>

struct Radius {
  char * element;
  double radius;
  struct Radius * next;
};

struct Radius * new_Radius(void);

void delete_Radius(struct Radius * me);

void print_Radius(struct Radius * me, FILE * stream);
void read_Radius(struct Radius * me, FILE * stream);

struct Radius * read_radii(FILE * stream);
   
#endif
