/* 
   (C) 1998 Marco Falcioni UCLA

   registry: this is a list of minimun energy configurations sorted by 
   energy value.

*/

#ifndef __Registry_h
#define __Registry_h

#include <stdio.h>

struct Conf;

struct Registry {
  struct Conf * head;
  unsigned length;
};

struct Registry * new_Registry(void);

void delete_Registry(struct Registry * me);
void print_Registry(struct Registry * me, FILE * stream);

void push_Registry(struct Conf * me, struct Registry * on_me);
struct Conf * pop_Registry(struct Registry * me);

void sort_Registry(struct Registry * me);


#endif
