/*

  Marco Falcioni (C) 1997

  UCLA
  
  data for scattering parameters


  (C) 1997 Marco Falcioni (falcioni@ucla.edu)

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
  USA.

  http://www.fsf.org/copyleft/gpl.html



*/

#ifndef __scat_par_h
#define __scat_par_h


/* includes */

#include <stdio.h>


struct SP_entry {
  char * label;
  char * elem;
  double params[10];
  unsigned int atomic_n;
};



/* function prototypes */
struct SP_entry * new_SP_entry(void);
void delete_SP_entry(struct SP_entry * me);
void print_SP_entry(struct SP_entry * me, FILE * stream);
struct SP_entry * read_SP_entry(struct SP_entry * me, FILE * stream);


#endif
